function gamma = computeShrinkageParameter( input_data, k )
%COMPUTERELAXATIONPARAMETER For a given input_data structure and an
%iteration number, a shrinkage parameter is computed.
%   Input: input_data structure.
%   Output: Shrinkage parameter gamma_k for the proximity operator.

if isfield(input_data.problem.constraint, 'parameter')
    if strcmp(input_data.problem.constraint.parameter, 'dynamic') 
        gamma = input_data.problem.constraint.gamma0/k;
    elseif strcmp(input_data.problem.constraint.parameter, 'const')
        gamma = input_data.problem.constraint.gamma0;
    end
else
    if isfield(input_data.problem.constraint,'gamma0')
        gamma = input_data.problem.constraint.gamma0;
    else
        error('No shrinkage parameter defined.')
    end
end
  
end

