function PsiNoisy = createNoisyMeasurement( input_data )
%CREATENOISYMEASUREMENT Adds noise to the data.
%   Given an input_data structure and a measurement absPsi, this
%   functions adds noise to the clean (simulated) data. Depending
%   on the input_data.problem.noise, several variants and intensities
%   are possible.

if strcmp(input_data.noise.type, 'poisson')
    absPsi   = abs(input_data.problem.data).^2;
    PsiNoisy = absPsi .* input_data.noise.level;
    PsiNoisy = 1E12*imnoise(floor(PsiNoisy)*1E-12,'poisson')./input_data.noise.level;
    PsiNoisy   = abs(sqrt(PsiNoisy));
end

end