function supp_idx  = createSupportIdx( input_data, R, type )
%CREATESUPPORTBALL Creates a vector containing the indicies of all
%   elements which lie a) inside a ball of radius R or b) a box with
%   side length R. R has to be in the interval (0,1). By default, 
%   a box is chosen.

Nx = size(input_data.problem.data,2);
Ny = size(input_data.problem.data,1);

xn = linspace(-1,1,Nx);
yn = linspace(-1,1,Ny);
[X,Y]=meshgrid(xn,yn);

if strcmp(type,'ball')
    supp_idx = find(X.^2+Y.^2<= R^2);
else
    supp_idx = find(abs(X)<= R & abs(Y)<= R);
end


end

