function shrinkageOperatorName = retrieveShrinkageName( input_data )
%RETRIEVEPROXIMITYNAME A dirty little hack to improve simplicity
%   of evaluation of proximity operators. Given the specified
%   constraint name in the input_data object, the correct name
%   for the MATLAB function which contains the corresponding
%   proximity operator is returned as a string. This is hard-coded
%   here and can be extended to your liking.

if ~isfield(input_data.problem.constraint, 'info')
    error('No shrinkage mapping defined.')
end

if ( strcmp(input_data.problem.constraint.info, 'soft thresholding') )
           
    shrinkageOperatorName = 'softThresholding';
            
elseif strcmp(input_data.problem.constraint.info, 'smooth hard')
        
    shrinkageOperatorName = 'smoothHardThresholding';
                 
end

if ~exist('shrinkageOperatorName', 'var')
    error('The provided shrinkage name ''%s'' is not supported. Check retrieveShrinkageName.m for details.', input_data.problem.constraint.info);
end


end

