% Computes Smooth-Hard-Thresholding discussed in Section 4.6
% (Generalizations to other threshold fujnctions) of 
%  'Phase Retrieval with Sparsity Constraints', Stefan Loock,
%  PhD thesis, Georg-August-Universitt Gttingen

function smoothHardPsi = smoothHardThresholding( input_data, Psi, gamma )

  if isfield(input_data.problem.constraint, 'alpha')
     alpha = input_data.problem.constraint.alpha;
  else 
     alpha = 0.0001;
  end
  
  Psi = Psi.*(abs(Psi) > gamma);                                                % first set all |y|<= gamma to zero
  smoothHardPsi = sign(Psi).*abs(Psi).*exp(-alpha./(exp(abs(Psi)-gamma)-1).^2);

end